## com.arsdigita.cms.docmgr
Class DocumentCollection

    java.lang.Object
      com.arsdigita.domain.DomainQuery
          com.arsdigita.domain.DomainCollection
              com.arsdigita.cms.docmgr.DocumentCollection

All Implemented Interfaces:
  com.arsdigita.persistence.DataQuery

public class DocumentCollection
extends com.arsdigita.domain.DomainCollection

Author:
  Crag Wolfe

Field Summary

Fields inherited from class com.arsdigita.domain.DomainCollection
`m_dataCollection, versionId`

Fields inherited from class com.arsdigita.domain.DomainQuery
`m_dataQuery`

Constructor Summary
`DocumentCollection(com.arsdigita.persistence.DataCollection dataCollection)`

Method Summary
`Document` `getDocument()` Get the current item as a Document domain object.
`com.arsdigita.domain.DomainObject` `getDomainObject()` Get the current item as a Document domain object.

Methods inherited from class com.arsdigita.domain.DomainQuery

`addEqualsFilter, addFilter, addFilter, addInSubqueryFilter, addInSubqueryFilter, addNotEqualsFilter, addNotInSubqueryFilter, addOrder, addOrderWithNull, addPath, alias, clearFilter, clearOrder, close, first, get, getFilterFactory, getOption, getParameter, getPosition, getPropertyValues, getType, hasProperty, isAfterLast, isBeforeFirst, isEmpty, isFirst, isLast, last, next, previous, removeFilter, reset, rewind, setFilter, setOption, setOrder, setParameter, setRange, setRange, setReturnsLowerBound, setReturnsUpperBound, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentCollection

    public DocumentCollection(com.arsdigita.persistence.DataCollection dataCollection)

Method Detail

### getDomainObject

    public com.arsdigita.domain.DomainObject getDomainObject()

  Get the current item as a Document domain object.

  Returns:
    a Document domain object.

### getDocument

    public Document getDocument()

  Get the current item as a Document domain object.

  Returns:
    a Document domain object.

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC